Name: aqemu
Version: 0.8.2
Release: 2%{?dist}
Summary: A QT graphical interface to QEMU and KVM
Group: Applications/Emulators
License: GPLv2
URL: http://aqemu.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: aqemu-0.8.2-fedora-desktop.patch
BuildRequires: qt-devel 
BuildRequires: cmake 
BuildRequires: libvncserver-devel
Requires: qt
Requires: qt-x11

%description
AQEMU is a graphical user interface to QEMU and KVM, written in Qt4. The 
program has a user-friendly interface and allows user to set the 
majority of QEMU and KVM options on their virtual machines.

%prep
%setup -q
%patch0 -b .desktop

%build
%cmake
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
mv $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}_48x48.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
rm -rf $RPM_BUILD_ROOT/%{_datadir}/menu

%files
%{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.png
%{_mandir}/man1/%{name}*

%changelog
* Tue Aug 30 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-2
- Updated Source0 to include full URL (bz#734275).
- Removed BuildRoot, %clean, and %defattr, not required (bz#734275).
- Moved icon file manipulation from %prep to %install (bz#734275).
- Modified to use %cmake macro instead of explicit cmake call (bz#734275).
- Added smp flags to make call (bz#734275).
- Modified to use make install instead of make install/strip (bz#734275).
- Modified to ensure correct DESTDIR on make call (bz#734275).
* Mon Aug 29 2011 Stephen Gordon <sgordon@redhat.com> - 0.8.2-1
- Initial packaging of aqemu 0.8.2 for Fedora, based on SuSE aqemu 0.8.1 RPM.
